-module(kvs_feed).
%%-copyright('Synrc Research Center, s.r.o.').


-include_lib("kvs/include/kvs.hrl").
-include_lib("kvs/include/config.hrl").
-include_lib("kvs/include/entry.hrl").
-include_lib("kvs/include/comment.hrl").
-include_lib("kvs/include/feed.hrl").
-include_lib("kvs/include/metainfo.hrl").


-export([
  metainfo/0,
  core/0,
  feeds/0
]).


metainfo() ->  #schema{name=kvs,tables= core() ++ feeds() }.

core()     -> [ #table{name=config,fields=record_info(fields,config)},
                #table{name=log,container=true,fields=record_info(fields,log)},
                #table{name=operation,container=log,fields=record_info(fields,operation)},
                #table{name=id_seq,fields=record_info(fields,id_seq),keys=[thing]} ].

feeds()    -> [ #table{name=entry,container=true,fields=record_info(fields,entry)},
                #table{name=comment,container=true,fields=record_info(fields,comment)},
                #table{name=feed,container=true,fields=record_info(fields,feed)} ].

